## AwnAlignment AwnAlignment |

## Functions

GtkWidget * | awn_alignment_new_for_applet ()
gint | awn_alignment_get_offset_modifier ()
void | awn_alignment_set_offset_modifier ()

## Properties

AwnApplet * | applet | Read / Write
gint | offset-modifier | Read / Write / Construct
gfloat | offset-multiplier | Read / Write
gfloat | scale | Read / Write

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkObject
                ╰── GtkWidget
                    ╰── GtkContainer
                        ╰── GtkBin
                            ╰── GtkAlignment
                                ╰── AwnAlignment

## Description

## Functions

### awn_alignment_new_for_applet ()

    GtkWidget *
    awn_alignment_new_for_applet (AwnApplet *applet);

### awn_alignment_get_offset_modifier ()

    gint
    awn_alignment_get_offset_modifier (AwnAlignment *alignment);

### awn_alignment_set_offset_modifier ()

    void
    awn_alignment_set_offset_modifier (AwnAlignment *alignment,
                                       gint modifier);

## Types and Values

## Property Details

### The `“applet”` property

      “applet”                   AwnApplet *

Applet from which properties are read out.

Flags: Read / Write

### The `“offset-modifier”` property

      “offset-modifier”          gint

Offset modifier.

Flags: Read / Write / Construct

Default value: 0

### The `“offset-multiplier”` property

      “offset-multiplier”        gfloat

Offset multiplier.

Flags: Read / Write

Allowed values: [0,1]

Default value: 1

### The `“scale”` property

      “scale”                    gfloat

If available space is bigger than needed for the child, how much of it to use for the child. 0.0 means none, 1.0 means all.

Flags: Read / Write

Allowed values: [0,1]

Default value: 1